Hotel Inventory

Updates Hotel Inventory Count

post
/ari/inv_count

The Inventory message (OTA_HotelInvCountNotifRQ) defines the inventory counts (number of physical rooms) that are available to be booked for specific room types. When you send an Inventory message, you indicate how many rooms of that type are available on a given date. If no rooms of that type are available, products involving that room type and date will not be displayed.

Authorizations
AuthorizationstringRequired
Body

The root element for a message that defines room rate availability.

EchoTokenstring · min: 1 · max: 100Required

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
TimeStampstring · date-timeRequired

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
Responses
chevron-right
200

Success Response

Indicates that the request message was processed successfully or not. Either 'Success' or 'Errors' is present in each message.

Timestampstring · date-timeRequired

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
EchoTokenstring · min: 1 · max: 100Required

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
SuccessobjectOptional

Indicates that the request message was processed successfully

post
/ari/inv_count

Get Hotel Inventories

get
/ari/inv_count/{hotelCode}/{itc}
Authorizations
AuthorizationstringRequired
Path parameters
hotelCodestringRequired
itcstringRequired
Query parameters
datesstring · yyyy-MM-dd[]Required

List of check-in dates

Requester_IDstringOptional
Responses
chevron-right
200

Success

application/json

Get the inventory information by hotel code and inventory code.

EchoTokenstring · min: 1 · max: 100Optional

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
Timestampstring · date-timeOptional

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

ApiVersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
get
/ari/inv_count/{hotelCode}/{itc}
200

Success

Last updated